Bug 241738 - GCC seg faults on kernel compile
Summary: GCC seg faults on kernel compile
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-30 01:31 UTC by david.hagood
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-31 01:53:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed output from build (699.12 KB, application/octet-stream)
2007-05-30 01:31 UTC, david.hagood
no flags Details

Description david.hagood 2007-05-30 01:31:18 UTC
Description of problem:
Attempting to build any program causes GCC to segfault

Version-Release number of selected component (if applicable):
gcc (GCC) 4.1.2 20070502 (Red Hat 4.1.2-12)


How reproducible:
Every time

Steps to Reproduce:
1. Install kernel sources: linux-2.6.21.3
2. make
  
Actual results:
$ make
  CHK     include/linux/version.h
  CHK     include/linux/utsrelease.h
  HOSTCC  scripts/basic/fixdep
scripts/basic/fixdep.c: In function ‘strrcmp’:
scripts/basic/fixdep.c:268: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
make[1]: *** [scripts/basic/fixdep] Error 1
make: *** [scripts_basic] Error 2


Expected results:
Kernel should build

Additional info:

Comment 1 david.hagood 2007-05-30 01:31:18 UTC
Created attachment 155651 [details]
Preprocessed output from build

Comment 2 david.hagood 2007-05-30 02:09:59 UTC
I have a second machine with the same GCC version, and it will compile successfully.

What's weird is that I can mount that second machine's file system on the first
machine, chroot into it, and build fine - so it's not the hardware or the
kernel, but some other library, program, or header included.

I've also established that trivial programs will compile.

Comment 3 Jakub Jelinek 2007-05-30 12:11:46 UTC
Run rpm -V to check cpp, gcc, glibc?
The preprocessed source you attached compiles just fine here with the same
gcc version.
Is it reproduceable on the file you attached?
You can install gcc-debuginfo, rerun the command with -v and cut'n'paste
the cc1 invocation, then rerun it under gdb and see where it crashed, retry
a few times to see if it is always the same spot.

Comment 4 david.hagood 2007-05-31 01:53:01 UTC
Somehow cc1 got corrupted... I begin to wonder if it isn't time to retire this
machine, as I've had this sort of thing happen before....



Note You need to log in before you can comment on or make changes to this bug.